Mailinglist Archive: opensuse-factory (367 mails)

< Previous Next >
Re: [opensuse-factory] dup --no-allow-vendor-change is now default
On Sun, 2017-07-09 at 22:54 +0200, Dominique Leuenberger wrote:
Packages changed:
libzypp (16.12.0 -> 16.13.0)

==== libzypp ====
Version update (16.12.0 -> 16.13.0)

- Adapt loop mounting of iso images (bsc#1038132, bsc#1033236)
- Adjust zypp.conf for openSUSE Tumbleweed (bsc#1031756)

^^^^ This change hides the switch of the default for zypper dup: after
this update, zypper dup will default to --no-allow-vendor-change, which
has been the recommended way for Tumbleweed for a long time now.

NOTE: This will ONLY update your default configuration if you did not
touch /etc/zypp/zypp.conf - If you had local modifications, rpm will
have put a file NEXT to it (zypp.conf.rpmnew), in which case you have
to adjust the settings manually (or you likely already did)

Hope this will eliminate a good part of the issues people kept on
reporting about updates - bringing Tumbleweed one step closer to what
you expect it to do in all situations.

Cheers,
Dominique
< Previous Next >